ELYSIUM® tgs - help for the guest

Error message in Google Store: App is not compatible or cannot be found?

This is because your smartphone may be too old. This cannot be solved by updating to the latest operating system version. This is a hardware problem.Again, this is only temporary and will be solved via app. You do not need a new Smartphone!





Was this article helpful?    Yes No